% Usage: y = kupsample(x)
% Up sample a row or column vector x to a vector y, filling all even components with
% zeros.
function y = kupsample(x)

[m,n]=size(x);
if m==1
   m2 = 2*n;
   y = zeros(1,m2);
else
   m2 = 2*m;
   y=zeros(m2,1);
end

y(1:2:m2) = x(:);